Release Bundle v2 Creation

Creates a new Release Bundle v2, uniquely identified by a combination of repository key, name, and version. You can create a Release Bundle version using one or a combination of the following source types: AQL, Artifacts, Packages, Builds, or Release Bundles.

Usage restrictions: The release_bundle_name and release_bundle_version strings are each limited to 255 characters. They must begin with a letter, digit, or underscore and consist only of letters, digits, underscores, periods, and hyphens.

Security: Requires Read permissions to source artifact repository paths; requires Read and Create permissions to the Release Bundles.

Signing key: Specify the signing key pair name via the X-JFrog-Signing-Key-Name header. If you do not specify a key, Artifactory will use a default key named default-rsa-key. The creation will fail if the signing key has expired. If the Release Bundle is intended for distribution, you must propagate the key pair from Artifactory to the Distribution Edge nodes (see Propagate Public Signing Key).

Warning: Release Bundle creation will fail if the same artifact exists in the same location in multiple repositories.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean
Defaults to true

Whether to create the bundle asynchronously

string
enum
Defaults to automatic

Defines how to choose the source artifact when there are candidates in different repositories with the same checksum and relative path

Allowed:
boolean
Defaults to true

Whether to fail fast on errors

string

The project key used to determine the Release Bundles repository. By convention, each project may contain only one Release Bundles system repository with the name -release-bundles-v2. This query parameter may be used instead of repository_key.

string

The Release Bundles repository identifier that identifies where a Release Bundle version resides. If this parameter and the project query parameter are not specified, the default value of release-bundles-v2 is assumed.

Body Params

Release bundle creation request containing bundle name, version, source type, and source configurations

string
required
length ≤ 255
^\w[\w\-.]*$

Release bundle name. Must begin with a letter, underscore, or digit and consist of letters, underscores, dots, hyphens, or digits.

string
required
length ≤ 255
^\w[\w\-.+]*$

Release bundle version. Must begin with a letter, underscore, or digit and consist of letters, underscores, dots, hyphens, plus signs, or digits.

boolean
Defaults to false

Whether to skip Docker manifest resolution during bundle creation. When false (default), the manifest is resolved and image layers are included.

string
enum

Type of source for the bundle when using the single-source format. Use with source. Supported values are 'aql', 'builds', 'artifacts', 'release_bundles', or 'packages'.

Allowed:
source
object

Single source configuration object. The structure contains source-type-specific fields depending on the value of source_type on the parent request.

sources
array of objects

Multiple source configurations (since 7.113.0). Use this when you need to include multiple sources of different types in the bundle.

sources
string
length ≤ 128
^[\w\-.]*$

Optional tag to assign to the release bundle. Must not contain spaces or special characters except hyphens, underscores, and dots.

Headers
string
length ≤ 255

The name of the signing key pair to use for signature creation. If not specified, Artifactory uses the default key named default-rsa-key.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json